	function closeMarksDialog(dlg)
	{
		$('#marks-bg').hide();
		$('#' + dlg).hide();
	}

	function sendMark()
	{
		$.post('?do=sendmark', {'text_mark': $('#md-mark').html()}, 
		function(data) {
			if (data.result != 'ok') {
				alert('Возникла ошибка при отправке. Попробуйте еще раз.');
			}
			closeMarksDialog('marks-dialog');
		}, 'json');
	}
	
	function showDialog(dlg)
	{
		body_height = $(document).height() || document.documentElement.scrollHeight;
		$('#marks-bg').css("height", body_height);
		inner_height = window.innerHeight || $(window).height();
		$('#' + dlg).css('top', ($(document).scrollTop() + inner_height/2 - 100));
		$('#marks-bg').show();
		$('#' + dlg).show();
	}
	
	function sendError() 
	{
		var sel = '';
		if (window.getSelection) sel = window.getSelection()
		else if (document.getSelection) sel = document.getSelection()
		else sel = document.selection.createRange().text		
			
		if (jQuery.trim(sel.toString()) == '') {
			
			$('#marks-dialog-about .md-text').html('Выделите текст с опечаткой<br /> и затем снова нажмите ссылку<br /> "Сообщить об опечатке на сайте"');
			showDialog('marks-dialog-about');
			return false;
		}
		
		if (sel.toString().length > 100) {
			$('#marks-dialog-about .md-text').html('Выделен слишком большой открывок');
			showDialog('marks-dialog-about');
			return false;
		}
				
		$('#md-mark').html(sel.toString());		
		showDialog('marks-dialog');
	}
